VyOS Platform Blog

Building an open source network OS for the people, together.

1.1.0 PPTP bug

Posted 16 Oct, 2014 by Daniil Baturin

Our user reported a PPTP bug in 1.1.0: options.pptpd is not generated correctly with default options. The symptoms are: PPTP does not work at all.

This is the result of a typo in the code for required authentication protocol options, it will be fixed in the next maintenance release.

Fortunately, the workaround is trivial: set the required authentication protocol manually. Most commonly:

set vpn pptp remote-access authentication require mschap-v2

Thanks Sergey and Antonio for help with finding the bug!

Comments